Bug 175854 - [RHEL4-U3] Checking dump partition fails when a swap partition whose size is less than memory size is configured for diskdump.
[RHEL4-U3] Checking dump partition fails when a swap partition whose size is ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira Imamura
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-12-15 14:32 EST by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira Imamura 2005-12-15 14:32:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Checking dump partition fails when a swap partition whose size is
less than memory size is configured for diskdump. A swap partition
as well as a normal dump partition should be configured for diskdump
even if the size of the partition is less than memory size only
when "dump_level" and/or "compress" that are module parameters are
specified as non-zero value. In other words, check_swap_partition()
in diskdump.c should not restrict the size of a swap partition
when partial dump or compressed dump is enabled.


Version-Release number of selected component (if applicable):
kernel-2.6.9-25

How reproducible:
Always

Steps to Reproduce:
1. Create a swap partition whose size is less than memory size.
2. Edit /etc/syscofig/diskdump so as to configure the swap partition as a dump device.
3. Run "service diskdump start" so as to start diskdump service.
4. Run "service diskdump status" so as to check that diskdump is enabled.
5. Panic the system.


Actual Results:  Checking dump partition fails.

Expected Results:  Checking dump partition succeeds. Then diskdump starts dumping memory.

Additional info:
Comment 2 Akira Imamura 2006-04-04 15:47:47 EDT
I've just posted the patch to rhkernel-list.

Thanks,
Akira
Comment 3 Jason Baron 2006-04-06 21:48:01 EDT
committed in stream U4 build 34.14. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 Bob Johnson 2006-04-11 12:30:08 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 6 Akira Imamura 2006-05-24 17:45:00 EDT
We have done testing of this BZ. There are no regressions
and unfixed bugs. So, I change the status to VERIFIED.
Comment 8 Red Hat Bugzilla 2006-08-10 17:45:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.